<?
$cls = [];
$cls[] = $this->escort->is_inactive ? 'inactive' : '';
$cls[] = (!Zend_Registry::get('isMobile') && $this->render_list_type == 'list') ? ' d-flex' : '';
$cls[] = strlen($this->escort->country . $this->escort->city) > 30 ? 'long-info-box' : '';
$isUSA = $this->filtered_location['country_id'] == 68;
$isFrance = $this->filtered_location['country_id'] == 23;
$href = $this->getLink('profile', array('showname' => strip_tags($this->escort->showname), 'escort_id' => $this->escort->id));
$config = Zend_Registry::get('system_config');

$payemnt_disabled_countries = explode(',',$config['paymentDisabledCountries']);
$lng = $_COOKIE['ln'] ? $_COOKIE['ln'] : Cubix_I18n::getLang();
?>
<a class="escort-item <?= implode(' ', $cls) ?>" href="<?= $href ?>">
    <? if (!$isUSA && !$isFrance && $this->escort->is_vip && !$this->escort->is_gotd): ?>
        <span class="vip-ribbon ribbon-sticker" ></span>
        <span class="vip-border" ></span>
    <? endif; ?>

    <? if (!$isUSA && !$isFrance && $this->escort->is_premium && !$this->escort->is_vip && !$this->escort->is_gotd): ?>
        <span class="premium-ribbon ribbon-sticker" ></span>
    <? endif; ?>
    <input type="hidden" name="gotd" value="<?=$this->escort->is_gotd?>">
    <? if (!$isUSA && !$isFrance && $this->escort->is_gotd): ?>
        <span class="gotd-ribbon ribbon-sticker" ></span>
    <? endif; ?>
    <div class="image-slider">
            <? if (preg_match('~MSIE|Internet Explorer~i', $_SERVER['HTTP_USER_AGENT']) || (strpos($_SERVER['HTTP_USER_AGENT'], 'Trident/7.0; rv:11.0') !== false)) :?>
                <img class="image" data-loading="lazy" alt="<?= __('escort') ?><?= $this->escort->showname ?>" src="<?= $this->escort->getMainPhoto()->getUrl('list_v4') ?>"
                     id="p-<?= $this->escort->id ?>">
            <? else: ?>
                <div class="image" data-loading="lazy" alt="<?= __('escort') ?><?= $this->escort->showname ?>" data-src="<?= $this->escort->getMainPhoto()->getUrl('list_v4') ?>"
                id="p-<?= $this->escort->id ?>"></div>
            <? endif; ?>
        <? if ($this->p_top_category == 'upcomingtours' || $this->p_top_category == 'citytours'): ?>
            <? if ($this->escort->tour_date_from): ?>
                <div class="on-tour-label desktop">
                    <span><?= __('on_tour_in') ?>  <b><?= $this->escort->tour_city ?></b> <i class="fas fa-map-marker-alt"></i></span>
                </div>
            <? endif; ?>
        <? elseif ($this->escort->is_tour): ?>
            <div class="on-tour-label desktop">
                <span><?= __('on_tour_in') ?> <b><?= $this->escort->tour_city ?></b> <i class="fas fa-map-marker-alt"></i></span>
            </div>
        <? endif; ?>
    </div>
    <div class="info-container">
        <? if($this->escort->is_suspicious == 2): ?>
            <div class="sedcard__photo-label suspicious">
                <img src="/images/warning.svg" alt="Checkbox">
                <span><?= __('suspicious_photos') ?></span>
            </div>
        <? elseif($this->escort->is_suspicious == 1): ?>
            <div class="sedcard__photo-label fake">
                <img src="/images/frown.svg" alt="Checkbox">
                <span><?= __('fake_photos') ?></span>
            </div>
        <? endif; ?>

        <div class="name d-flex align-items-center mb-1">
            <?/* if ($this->escort->is_vip): */?><!--
                <div class="vip-status uppercase">vip</div>
            --><?/* endif; */?>

            <? if($this->escort->verified_status == Model_Escorts::VERIFIED_STATUS_VERIFIED): ?>
                <span title="<?= __('real_pics') ?>" class="bg-verified_pics_icon d-inline-block mr-1"></span>
            <? endif; ?>

            <span class="showname" href="<?= $this->getLink('profile', array('showname' => $this->escort->showname, 'escort_id' => $this->escort->id)) ?>">
                <span><?= $this->escort->showname ?></span>
                <? if ($this->escort->is_inactive): ?>
                    <i class="text-danger"><?= __('inactive') ?></i>
                <? endif; ?>
            </span>

            <? if ( $this->escort->is_login && $this->escort->allow_show_online ): ?>
                <span class="status"><span class="desktop v1">online</span></span>
            <? endif; ?>
        </div>
        <? $actualLink = "https://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
           $hamburg = 'https://www.escortdirectory.com/escorts-hamburg-198/';
        ?>
        <div class="info d-flex align-items-center flex-wrap">
            <div class="city">
                <i>
                    <? $res = array_intersect( $this->parsedSearchKey, $this->escort->working_cities); ?>
                    <? 
                    //https://sceonteam.atlassian.net/browse/EDIR-528
                    if($this->escort->city_id == 191 || $this->escort->country_id == 24): ?>
                    <!-- Escort --><?//= (!empty($res) ? $res[array_key_first($res)] : ($this->escort->{'city_title_' . Cubix_I18n::getLang()} ?? $this->escort->city) )  ?><!--<span class="desktop">, --><?//= $this->escort->country ?><!--</span>-->
                    Escort <?= $this->escort->city ?>
                        <span class="desktop">
                        <? if ($actualLink !== $hamburg) : // ONLY for https://sceonteam.atlassian.net/browse/EDIR-860 ?>
                            , <?= $this->escort->country ?></span>
                    <? endif; ?>
                    <? else: ?>
                        <!-- --><?//= __('escort_in') ?><!-- --><?//= (!empty($res) ? $res[array_key_first($res)] : ($this->escort->{'city_title_' . Cubix_I18n::getLang()} ?? $this->escort->city) )  ?><!--<span class="desktop">, --><?//= $this->escort->country ?><!--</span>-->
                        <?// Cubix_I18n::translateByLng($lng,'escort_in')   Removed for EDIR-953 ?>
                        <?= $this->escort->city ?><span class="desktop">, <?= $this->escort->country ?></span>
                    <? endif; ?>
                </i>
            </div>
        </div>

        <div class="mobile sticker new desktop">
            <?php if ($this->current_sort == 'newest'): ?>
                <?php if (!$this->escort->is_premium && !$this->escort->is_vip): ?>
                    <?php $sticker_text = Model_Escorts::calculateNewestEscortDays(($this->escort->date_activated) ? $this->escort->date_activated : $this->escort->date_registered); ?>
                    <?php if ($sticker_text): ?>
                        <span class="text-grey"><?= $sticker_text ?></span>
                    <?php endif; ?>
                <?php endif; ?>
            <?php endif; ?>
        </div>
        <? $rateArr           = $this->getPrice($this->escort->getRates());
        $strippedUserRate     = str_replace(' / ', '/', $rateArr['user_rate']);
        $strippedUserOrigRate = str_replace(' / ', '/', $rateArr['original_rate']);
        $strippedUserRate     = str_replace(' h', 'h', $strippedUserRate);
        $strippedUserOrigRate = str_replace(' h', 'h', $strippedUserOrigRate);
        ?>
        <? if ($this->escort->age && !$rateArr): ?>
            <div class="escort-agency desktop">
                <i>
                    <?= Cubix_I18n::translateByLng($lng,'age').' '.$this->escort->age ?>
                    <?php //https://sceonteam.atlassian.net/browse/EDIR-64?filter=11127&jql=project%20in%20(EDIR%2C%20A6%2C%20ANN%2C%20ANUN%2C%20ASIAN%2C%20BEN%2C%20EF%2C%20EGUK%2C%20EFIT%2C%20MEET)%20AND%20resolution%20%3D%20Unresolved%20ORDER%20BY%20priority%20DESC%2C%20updated%20DESC echo(strlen($this->escort->agency_name) > 40 ? substr($this->escort->agency_name, 0, 30) . '...' : $this->escort->agency_name) ?>
                </i>
            </div>
        <? endif; ?>

        <div class="price d-flex justify-content-between align-items-center">
            <!-- as soon as french packages expire we should use this array $payemnt_disabled_countries -->
            <? if($rateArr['original_rate'] && !in_array($this->escort->country_id, array(68)) && !$this->escort->age): ?>
                <i><span class="price-text" data-toggle="tooltip" data-placement="top" title="<?= $strippedUserRate ?>" data-text="<?= $strippedUserOrigRate; ?>"></span></i>
            <? endif;?>
        </div>
        <? if ($rateArr && $this->escort->age): ?>
        <div class="escort-agency custom-row">
            <i>
                <span><?= __('age').' '.$this->escort->age ?></span>
                <? if (!$isUSA && !$isFrance): ?>
                    <span class="ml-1 mr-1 dot"> &#8226; </span>
                    <span class="price-text" data-toggle="tooltip" data-placement="top" title="<?= $strippedUserRate?>" data-text="<?= $strippedUserOrigRate; ?>"></span>
                <? endif; ?>
            </i>

            <div class="info-icons desktop ml-3">
                <? if ( $this->escort->is_pornstar ): ?>
                    <p title="<?= __('pornstar') ?>"  class="uppercase weight">Porn <i  class="fa fa-star"></i></p>
                <? endif; ?>

                <? if (isset($this->escorts_video[$this->escort->id])):
                    $cur_escort = $this->escorts_video[$this->escort->id]; ?>
                    <i title="<?= __('quick_search_video') ?>" class="fas fa-video"></i>
                <? endif; ?>

                <? if(in_array($this->escort->travel_place, array('1','2','3'))): ?>
                    <i title="<?= __('available_for_travel') ?>" class="fas fa-plane"></i>
                <? endif;?>

                <? if (in_array($this->escort->id, $this->watched_escorts)): ?>
                    <i title="<?= __('watched_label') ?>" class="fas fa-eye"></i>
                <? endif; ?>
            </div>

        </div>
        <? endif;?>

        <div class="escort-details">
            <?= stripslashes(_shorten(strip_tags(html_entity_decode($this->escort->about)), 380))  ?>
        </div>

        <div class="badges d-flex">
            <?/* if ($this->escort->is_premium && ! $this->escort->is_vip): */?><!--
                <div title="<?/*= __('adv_premium_title') */?>" class="vip-acc d-flex justify-content-center"><div class="badge-image"></div></div>
            --><?/* endif; */?>
            <?php if ($this->current_sort == 'newest'): ?>
                <?php if (!$this->escort->is_premium && !$this->escort->is_vip): ?>
                    <?php if (!empty($sticker_text)): ?>
                        <span class="sticker new desktop"><?= $sticker_text ?></span>
                    <?php endif; ?>
                <?php endif; ?>
            <?php else: ?>
                <? if ($this->escort->is_new): ?>
                    <div title="<?= __('new_escort') ?>" class="new-acc d-flex justify-content-center"><div class="badge-image"></div></div>
                <? endif; ?>
            <? endif; ?>

        </div>

        <div class="list-contacts">
            <? if ($this->escort->phone_number): ?>
                <div class="phone"><?= (isset($this->escort->phone_country_id) && !$this->escort->disable_phone_prefix) ? '+'.Model_Countries::getPhonePrefixById( $this->escort->phone_country_id) . ltrim($this->escort->phone_number, '0') : ltrim($this->escort->phone_number)?></div>
            <? endif; ?>
            <div class="send-message">
                <button data-newletter-popup="off" onclick="return Sceon.private_message_popup('escort-<?= $this->escort->id ?>')" class="pm"></button>
            </div>
        </div>
    </div>
    <? if (strtotime($this->escort->last_login_date) >= (time()) - 86400): ?>
        <div class="p-1 active-today">
            <?= __($this->escort->gender == GENDER_FEMALE ? 'active_today_girl' : 'active_today_boy') ?>
        </div>
    <? endif; ?>
</a>
